# Deletes a document space contributor.

DELETE https://api.awork.com/api/v1/documentspaces/{documentSpaceId}/contributors/{documentSpaceContributorId}

Deletes the specified contributor and removes their access to the document space and its documents.

<Check title="Required Permissions" icon="key">The user must be an admin.</Check>

## Request example

```sh
curl -X DELETE --globoff 'https://api.awork.com/api/v1/documentspaces/{documentSpaceId}/contributors/{documentSpaceContributorId}' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `documentSpaceId`: string (required). The id of the document space.

- path parameter `documentSpaceContributorId`: string (required). The id of the document space contributor to delete.

## Response 204

No Content

## Response 400

Bad Request

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 401

Unauthorized

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
